at.chipkarte.client.elgaad.soap

## Class AntikoerperBestimmungUntersuchung

- Object
- - at.chipkarte.client.elgaad.soap.AntikoerperBestimmungUntersuchung

-     public class AntikoerperBestimmungUntersuchung
      extends Object

  Informationen zur Untersuchung zur Antikörper-Bestimmung.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AntikoerperBestimmungUntersuchung()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Code` | `getAnalyse()` Antikörper-Analyse.
    `String` | `getAnalyseZeitpunkt()` Zeitpunkt der Analyse.
    `String` | `getBewertungscode()` Bewertung der Analyse.
    `Kommentar` | `getBewertungskommentar()` Kommentar zur Bewertung.
    `CdaValue` | `getBewertungsreferenz()` Bewertungsreferenz der Analyse.
    `CdaValue` | `getErgebnis()` Ergebnis der Analyse.
    `Teilnehmer` | `getLaborPerson()` Mitarbeiter des Labors, der die Messung vorgenommen hat.
    `ValidierendePerson` | `getValidierendePerson()` Person, die das Ergebnis validiert.
    `boolean` | `isTestDurchgefuehrt()` Information ob der Test durchgeführt wurde.
    `void` | `setAnalyse(Code analyse)`
    `void` | `setAnalyseZeitpunkt(String analyseZeitpunkt)`
    `void` | `setBewertungscode(String bewertungscode)`
    `void` | `setBewertungskommentar(Kommentar bewertungskommentar)`
    `void` | `setBewertungsreferenz(CdaValue bewertungsreferenzen)`
    `void` | `setErgebnis(CdaValue ergebnis)`
    `void` | `setLaborPerson(Teilnehmer laborPerson)`
    `void` | `setTestDurchgefuehrt(boolean testDurchgefuehrt)`
    `void` | `setValidierendePerson(ValidierendePerson validierendePerson)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AntikoerperBestimmungUntersuchung

          public AntikoerperBestimmungUntersuchung()

  - ### Method Detail

    - #### getAnalyse

          public Code getAnalyse()

      Antikörper-Analyse. Siehe `Code`.
      Angabe: Muss.
      mögliche Werte: siehe Terminologieserver ValueSets eImpf_Antikoerperbestimmung_VS Level 1
      Returns:
        Antikörper-Analyse

    - #### setAnalyse

          public void setAnalyse(Code analyse)

    - #### getAnalyseZeitpunkt

          public String getAnalyseZeitpunkt()

      Zeitpunkt der Analyse.
      Angabe: Muss.
      Format: 10 stellig im Format `TT.MM.JJJJ` oder 19 stellig im Format `TT.MM.JJJJ hh:mm:ss`
      Returns:
        Zeitpunkt der Analyse

    - #### setAnalyseZeitpunkt

          public void setAnalyseZeitpunkt(String analyseZeitpunkt)

    - #### getErgebnis

          public CdaValue getErgebnis()

      Ergebnis der Analyse. Siehe `CdaValue`.
      Angabe: Muss.
      Returns:
        Erebnis.

    - #### setErgebnis

          public void setErgebnis(CdaValue ergebnis)

    - #### getBewertungscode

          public String getBewertungscode()

      Bewertung der Analyse.
      Angabe: Kann.
      mögliche Werte: Siehe `BewertungscodeConstants`.
      Returns:
        Bewertungscode.

    - #### setBewertungscode

          public void setBewertungscode(String bewertungscode)

    - #### getBewertungskommentar

          public Kommentar getBewertungskommentar()

      Kommentar zur Bewertung. Siehe `Kommentar`.
      Angabe: Kann.
      Returns:
        Kommentar

    - #### setBewertungskommentar

          public void setBewertungskommentar(Kommentar bewertungskommentar)

    - #### getBewertungsreferenz

          public CdaValue getBewertungsreferenz()

      Bewertungsreferenz der Analyse. Siehe `CdaValue`. Angabe: Kann.
      Returns:
        Bewertungsreferenz.

    - #### setBewertungsreferenz

          public void setBewertungsreferenz(CdaValue bewertungsreferenzen)

    - #### getLaborPerson

          public Teilnehmer getLaborPerson()

      Mitarbeiter des Labors, der die Messung vorgenommen hat. Siehe `Teilnehmer`.
      Angabe: Kann.
      Returns:
        Mitarbeiter Labor.

    - #### setLaborPerson

          public void setLaborPerson(Teilnehmer laborPerson)

    - #### getValidierendePerson

          public ValidierendePerson getValidierendePerson()

      Person, die das Ergebnis validiert. Siehe `ValidierendePerson`.
      Angabe: Kann.
      Returns:
        Validierende Person.

    - #### setValidierendePerson

          public void setValidierendePerson(ValidierendePerson validierendePerson)

    - #### isTestDurchgefuehrt

          public boolean isTestDurchgefuehrt()

      Information ob der Test durchgeführt wurde.
      Angabe: Muss.
      Returns:
        TestDurchgefuehrt.

    - #### setTestDurchgefuehrt

          public void setTestDurchgefuehrt(boolean testDurchgefuehrt)